<?php
				
	session_start();
	
	if (!isset($_SESSION['zalogowany']))
	{
		header('Location: logowanie');
		exit();
	}	
	
	//$url_serwera_bm = $_SESSION['url_serwera_bm'];
	require_once "../../../connect.php";
	
	if(isset($_POST['tytul_wit']))
	{
		$tytul_wit = $_POST['tytul_wit'];
		$opis_wit = $_POST['opis_wit'];
		$adres_url_serwera_wit = $_POST['adres_url_serwera_wit'];
		$adres_url_witryny_wit = $_POST['adres_url_witryny_wit'];
		$nick_gl_admin_wit = $_POST['nick_gl_admin_wit'];
		$imie_gl_admin_wit = $_POST['imie_gl_admin_wit'];
		$nazwisko_gl_admin_wit = $_POST['nazwisko_gl_admin_wit'];
		$mail_gl_admin_wit = $_POST['mail_gl_admin_wit'];
		$tytul_meta_wit = $_POST['tytul_meta_wit'];
		$kontakt_meta_wit = $_POST['kontakt_meta_wit'];
		$hom_page_wit = $_POST['hom_page_wit'];
		$dzienik_wit = $_POST['dzienik_wit'];
		//$no_index_wit = $_POST['no_index_wit'];
		
		
		echo $tytul_wit ;
		echo $opis_wit ;
		echo $adres_url_serwera_wit;
		echo $adres_url_witryny_wit;
		echo $nick_gl_admin_wit;
		echo $imie_gl_admin_wit;
		echo $nazwisko_gl_admin_wit ;
		echo $mail_gl_admin_wit ;
		echo $tytul_meta_wit;
		echo $kontakt_meta_wit;
		echo $hom_page_wit;
		echo $dzienik_wit;
		//echo $no_index_wit;
			
		$tytul_wit = htmlentities($tytul_wit, ENT_QUOTES, "UTF-8");
		$opis_wit = htmlentities($opis_wit, ENT_QUOTES, "UTF-8");
		$adres_url_serwera_wit = htmlentities($adres_url_serwera_wit, ENT_QUOTES, "UTF-8");
		$adres_url_witryny_wit = htmlspecialchars($adres_url_witryny_wit, ENT_QUOTES, "UTF-8");
		$nick_gl_admin_wit = htmlentities($nick_gl_admin_wit, ENT_QUOTES, "UTF-8");
		$imie_gl_admin_wit = htmlentities($imie_gl_admin_wit, ENT_QUOTES, "UTF-8");
		$nazwisko_gl_admin_wit = htmlentities($nazwisko_gl_admin_wit, ENT_QUOTES, "UTF-8");
		$mail_gl_admin_wit = htmlspecialchars($mail_gl_admin_wit, ENT_QUOTES, "UTF-8");
		$tytul_meta_wit = htmlspecialchars($tytul_meta_wit, ENT_QUOTES, "UTF-8");
		//$kontakt_meta_wit = htmlspecialchars($kontakt_meta_wit, ENT_QUOTES, "UTF-8");
		$hom_page_wit = htmlspecialchars($hom_page_wit, ENT_QUOTES, "UTF-8");
		$dzienik_wit = htmlspecialchars($dzienik_wit, ENT_QUOTES, "UTF-8");
		//$no_index_wit = htmlspecialchars($no_index_wit, ENT_QUOTES, "UTF-8");	
		
		
		$wszystko_ok = true;
		
		
		if($wszystko_ok == true){
			
			
		mysqli_report(MYSQLI_REPORT_STRICT);
		
		try 
		{
			$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
			if ($polaczenie->connect_errno!=0)
			{
				throw new Exception(mysqli_connect_errno());
			}
			else
			{
				
				mysqli_query($polaczenie, "SET CHARSET utf8");
				mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'");					
				
				if ($wszystko_ok == true)
				{
					//Hurra, wszystkie testy zaliczone, dodajemy gracza do bazy
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_metakontent_bm` SET `bm_wartosc`='$nick_gl_admin_wit' WHERE `id` = '1'"))
					{
						echo "Nick admin został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_metakontent_bm` SET `bm_wartosc`='$imie_gl_admin_wit' WHERE `id` = '2'"))
					{
						echo "imie admin został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_metakontent_bm` SET `bm_wartosc`='$nazwisko_gl_admin_wit' WHERE `id` = '3'"))
					{
						echo "Nazwisko admin został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_metakontent_bm` SET `bm_wartosc`='$mail_gl_admin_wit' WHERE `id` = '6'"))
					{
						echo "Mail admin został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_metakontent_bm` SET `bm_wartosc`='$tytul_meta_wit' WHERE `id` = '4'"))
					{
						echo "Tytuł meta został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_metakontent_bm` SET `bm_wartosc`='$kontakt_meta_wit' WHERE `id` = '5'"))
					{
						echo "Kontakt meta został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_metakontent_bm` SET `bm_wartosc`='$hom_page_wit' WHERE `id` = '7'"))
					{
						echo "Strona domowa został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_metakontent_bm` SET `bm_wartosc`='$dzienik_wit' WHERE `id` = '8'"))
					{
						echo "Dzienik został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$adres_url_serwera_wit' WHERE `id` = '1'"))
					{
						echo "Adres serwera został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$adres_url_witryny_wit' WHERE `id` = '2'"))
					{
						echo "Adres witryny został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$tytul_wit' WHERE `id` = '3'"))
					{
						echo "Tytuł został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$opis_wit' WHERE `id` = '4'"))
					{
						echo "Opis został pomyślnie zaktualizowany <br />";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}
						
					
				}
				
				$polaczenie->close();
			}
			
		}
		
          
		catch(Exception $e)
		{
			echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań w innym terminie!</span>';
			echo '<br />Informacja developerska: '.$e;
		}			
			
		}
		
	}	
	
?>